Bug 476409 - Brasero doesn't burn iso images
Brasero doesn't burn iso images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 05:46 EST by markm
Modified: 2010-12-05 02:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log from Brasero (11.91 KB, text/plain)
2008-12-14 05:46 EST, markm
no flags Details
Brasero fails to burn cd iso image (33.30 KB, image/png)
2008-12-14 05:48 EST, markm
no flags Details
Brasero with burnfree disabled (34.65 KB, image/png)
2008-12-16 18:46 EST, markm
no flags Details
Brasero log for comment no. 8 (3.44 KB, text/plain)
2009-01-14 03:57 EST, Răzvan Sandu
no flags Details

  None (edit)
Description markm 2008-12-14 05:46:48 EST
Created attachment 326857 [details]
Error log from Brasero

Description of problem:

Brasero does not burn iso cd or dvd images - simply it starts burning then after 30 seconds it breaks with error. see screenshot and error log attached.
Nautilus burns cd-iso without any problems.

Version-Release number of selected component (if applicable):

brasero-0.8.2-1.fc10.i386

How reproducible:

always (tried 4 times, did restart in between)

Steps to Reproduce:
1. Start brasero
2. open iso image to burn
3. start
  
Actual results:

Brasero will fail after 30 seconds

Expected results:

Brasero burns iso image.
Comment 1 markm 2008-12-14 05:48:54 EST
Created attachment 326858 [details]
Brasero fails to burn cd iso image

also - CD disc gets broken too
Comment 2 markm 2008-12-14 17:34:48 EST
actually brasero didn't burn correctly cd-data and dvd-data either which makes me think brasero is unable burn files.

Nautilus works fine, temporary solution is to install K3B (it requires a lot of KDE stuff to work though).
Comment 3 markm 2008-12-16 18:25:52 EST
Just noticed - brasero doesn't switch on burnfree - maybe it causes problems with burning media? if burnfree is not on it gets more likely to burn with errors... (can't add an attachment with a screenshot). KD3 uses burnfree without any problems though.
Comment 4 markm 2008-12-16 18:46:22 EST
Created attachment 327186 [details]
Brasero with burnfree disabled
Comment 5 Denis Leroy 2008-12-17 01:50:32 EST
Could you try with brasero 0.8.4 ?

RPMs at

http://koji.fedoraproject.org/koji/buildinfo?buildID=75064
Comment 6 markm 2008-12-18 18:30:31 EST
In both tests I used TDK DVD+R 1-16x dvds, dvd writer has 8.0x max writing speed.

Test 1:

Brasero has set “use burnproof” on and burnt dvd, finished with error, though was able to copy all files from dvd to hard drive without any error - so it looks like dvd was burnt correctly. Data size was 4.2 GiB, average burning speed was 1.0x though maximum was preselected.

Test 2:

Brasero has “use burnproof” grey out - so I was unable to select it. Data size was 3.1 GiB, average burning speed was 1.0x though maximum was preselected. Data was burnt with success, though brasero didn't open a tray, started to do image checksum while estimated remaining time was growing and no progress was shown. After it reached more than 10 hours, I've ejected disc and brasero didn't noticed that still showing growing time... after re insert was able to copy 24.4 MiB out of 3.1 GiB... so brasero failed.

Test 3:

K3B used burnproof and burnt 3.1 GiB data disc with estimated speed of 3.80-6.50x, but then could not verify - though it was showing “verifying track 0”, disc was ejected and after I've re inserted it, nothing has changed. Though could copy data from burnt disc to the hard drive without any problems.

Summary:

Brasero definitely has some problems with burning discs and newer version didn't solve all of them. Ejecting media is a problem for both Brasero and K3B - in earlier versions of Fedora both programs could eject media and were asking for insert - now none of them will ask. So something is broken here too.

I am happy to do more testing, have lost already a few dvds, can lost more :)
Comment 7 Truong Xuan Tinh 2008-12-22 11:04:45 EST
I confirm this bug, I wasted 2 blank CDs with it when I tried to burn an iso image.
My Brasero version is 0.8.2 on Fedora 10 32bit
Comment 8 Răzvan Sandu 2009-01-14 03:55:24 EST
Hello,

My brasero refuses to write .iso images on CD - it burns them as FILES, even if I've chosen the correct mode at the beginning („burn an ISO image”).

Hardware is a Dell Inspiron 1520, with TDK CD-R80 CDs. System is stock Fedora 10, with the official brasero .rpm package.

I'll attach below the brasero log.

Regards,
Răzvan
Comment 9 Răzvan Sandu 2009-01-14 03:57:16 EST
Created attachment 328960 [details]
Brasero log for comment no. 8
Comment 10 Răzvan Sandu 2009-01-15 17:03:47 EST
Hello,

I've done other tests today. I've managed to waste some CDs by burning them with brasero,k3b and Nautilus/Write to disk. All have the same behaviour: the writing process seems to be OK, then they throw an "unknown error" at the very end. The .iso image is written as a FILE on the disc instead of being COPIED in it, no mater what writing option one choses.

I've ended up in writing the exact same image on CentOS, on the same physical system. CD unit works in CentOS and in Windows, so I exclude hardware causes.

Maybe it's not a brasero bug, but a more general/shared one (library?) ?

Regards,
Răzvan
Comment 11 markm 2009-01-18 16:21:52 EST
for me K3B works flawlessly - brasero and nautilus both have issues. when I want to burn anything, just firing up K3B as I don't want to waste more disks or get irritated.
Comment 12 David Kaplowitz 2009-05-04 13:26:04 EDT
Are there any updates elsewhere regarding this bug? I'm using a fully patched FC10 installation. My experience points to growisofs being the problem, not Brasero. I get the same result as the OP using CD or DVD isos regardless of whether I use Brasero, k3b, or growisofs from the cmd-line -- the process never completes and the expected time left keeps growing seemingly infinitely. I've made 6-7 beer coasters today messing around with it. Thanks for any updates.
Comment 13 Fedora Admin XMLRPC Client 2009-06-03 10:45:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Bug Zapper 2009-11-18 05:28:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 markm 2009-11-18 05:36:37 EST
Fedora still ships wodim, which is not maintained hence bug still exist.

The working solution is:

1. uninstall wodim
2. install k3b
3. install cdrtools from http://cdrecord.berlios.de/private/cdrecord.html
4. run k3b

k3b can make use of cdrtools and hence burning cds/dvds actually works.

brasero can be used to create iso files only, it's useless when it comes to burning.
Comment 16 Răzvan Sandu 2009-11-18 13:03:30 EST
Hello,

Sorry, but as stated in comment #10, I've experimented three ways of creating CDs - including k3b - and all produce similar results.

Beyond that, it is possible that an installation does not include KDE components at all; it would be illogical to install all those libraries only for burning CDs.

Is it possible to reproduce/backport in Fedora the behaviour of CentOS 5.4, where burning CDs works flawlessly ? I mean using just Fedora official packages...


Thanks a lot,
Răzvan
Comment 17 markm 2009-11-18 14:52:39 EST
(In reply to comment #16)
> Sorry, but as stated in comment #10, I've experimented three ways of creating
> CDs - including k3b - and all produce similar results.

I know all this burning thing on Fedora is confusing and there is no one who really cares about burning in Fedora. I am wasting cds and dvds from time to time just to see whether burning has been fixed or not.

The core issue is Fedora ships broken burning backend which is used by default by burning software (brasero, nautilus or k3b). This software is called wodim, is not maintained and full of bugs. Wodim is a fork of cdrtools, which are maintained and known to work. So on some machines in some circumstances brasero may burn dvd or cd but in general it fails to do so, that was the reason I filled this bug. Also I know a working solution which I am using to burn dvds.

If your brasero burns dvd iso as a file (as described in comment #10) it is something else and I think you should file another bug for it. My brasero / k3b / nautilus are burning iso images correctly.

greetings,
Marek
Comment 18 Parminder Lehal 2009-12-27 11:22:00 EST
Something did happen in recent updates in Fedora 12. Now all of a sudden I can not burn DVDs.

There is no error given by the burning apps ...just a message that some error occurred.


Checking session consistency (brasero_burn_check_session_consistency brasero-burn.c:1848)
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_set_output_size_for_current_track
BraseroBurnURI stopping
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_get_session_output_size
BraseroBurnURI output set (IMAGE) image = /tmp/brasero_tmp_3NFP5U.bin toc = none
BraseroBurnURI called brasero_job_get_action
BraseroBurnURI called brasero_job_get_current_track
BraseroBurnURI no burn:// URI found
BraseroBurnURI stopping
BraseroChecksumImage called brasero_job_get_current_track
BraseroChecksumImage called brasero_job_get_action
BraseroChecksumImage called brasero_job_get_flags
BraseroChecksumImage Dummy operation, skipping
BraseroChecksumImage called brasero_job_get_current_track
BraseroChecksumImage called brasero_job_get_action
BraseroChecksumImage There is a checksum already 0
BraseroLibburn called brasero_job_get_action
BraseroLibburn called brasero_job_get_action
BraseroLibburn unsupported operation
BraseroLibburn deactivating
BraseroLibburn called brasero_job_get_action
BraseroLibburn called brasero_job_get_action
BraseroLibburn called brasero_job_get_device
BraseroLibburn Drive (/dev/sr0) init result = 1
BraseroLibburn called brasero_job_get_flags
BraseroLibburn called brasero_job_get_media
BraseroLibburn called brasero_job_get_fd_in
BraseroLibburn called brasero_job_get_tracks
BraseroLibburn Setting multi 0
BraseroLibburn Setting burnproof 1
BraseroLibburn Setting dummy 1
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn burn_drive_convert_fs_adr( /dev/sr0 )
BraseroLibburn Writing
BraseroLibburn called brasero_job_set_dangerous
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn burn_drive_is_enumerable_adr( /dev/sr0 ) is true
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn Async START UNIT succeeded after 0.1 seconds
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn mmc_set_streaming: end_lba=2298495 ,  r=9168 ,  w=11080
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn dvd/bd Profile= 11h , obs= 32768 , obs_pad= 1
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn DVD pre-track 01 : get_nwa(0), ret= 1 , d->nwa= 0
BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn DVD pre-track 01 : demand=2419386368, cap=4706074624

BraseroLibburn called brasero_job_get_session_output_size
BraseroLibburn called brasero_job_set_current_action
BraseroLibburn SCSI error condition on command 2Ah WRITE(10): [5 21 02]  Invalid address
BraseroLibburn Something went wrong
BraseroLibburn called brasero_job_error
BraseroLibburn finished with an error
BraseroLibburn asked to stop because of an error
	error		= 15
	message	= "An error occured while writing to disc"
BraseroLibburn stopping
Session error : An error occured while writing to disc (brasero_burn_record brasero-burn.c:2808)
Comment 19 Răzvan Sandu 2010-07-02 01:59:33 EDT
Hello,

As of July 1, 2010 and Fedora 13, is this bug still in place ?
Do we still need the trick in comment #15 ?

Is there a recommended (= stable, well-documented) Fedora package for burning CDs in Gnome ?


Regards,
Răzvan
Comment 20 Bug Zapper 2010-11-04 07:37:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 markm 2010-11-05 07:27:53 EDT
(In reply to comment #19)
> Hello,
> 
> As of July 1, 2010 and Fedora 13, is this bug still in place ?
> Do we still need the trick in comment #15 ?
> 
> Is there a recommended (= stable, well-documented) Fedora package for burning
> CDs in Gnome ?

yes, the bug is still in place - I've tried to burn a dvd on fedora 13 using brasero and wodim - it failed - when you look at the dvd you can clearly see circles - burnt / not burnt / burnt / not burnt... then I tried k3b with wodim - same effect. after installing cdrtools the issue is gone - I can burn using k3b without any issues - k3b prefers cdrtools over wodim.

Haven't tested it on Fedora 14 yet.
Comment 22 Fedora User 2010-11-25 13:23:42 EST
I am having the same issue in fedora 14 with the same error. Why has this issue not been dealt with, It has been an issue for over 2 years? 


cdrecord -version

Cdrecord-yelling-line-to-tell-frontends-to-use-it-like-version 2.01.01a03-dvd 
Wodim 1.1.11
Copyright (C) 2006 Cdrkit suite contributors
Based on works from Joerg Schilling, Copyright (C) 1995-2006, J. Schilling
Comment 23 Fedora User 2010-11-25 23:43:38 EST
The work around I found was installing and using gnomebaker.
Comment 24 Bug Zapper 2010-12-05 02:04:25 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.